rte_eth_fdir_stats(3)

NAME
rte_eth_fdir_stats

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint32_t collision
uint32_t free
uint32_t maxhash
uint32_t maxlen
uint64_t add
uint64_t remove
uint64_t f_add
uint64_t f_remove
uint32_t guarant_cnt
uint32_t best_cnt

Detailed Description

A structure used to define the statistics of flow director. It supports RTE_ETH_FILTER_FDIR with RTE_ETH_FILTER_STATS operation.

Definition at line 471 of file rte_eth_ctrl.h.

Field Documentation

  uint32_t collision
Number of filters with collision.

Definition at line 472 of file rte_eth_ctrl.h.

  uint32_t free
Number of free filters.

Definition at line 473 of file rte_eth_ctrl.h.

  uint32_t maxhash
The lookup hash value of the added filter that updated the value of the MAXLEN field

Definition at line 474 of file rte_eth_ctrl.h.

  uint32_t maxlen
Longest linked list of filters.

Definition at line 477 of file rte_eth_ctrl.h.

  uint64_t add
Number of added filters.

Definition at line 478 of file rte_eth_ctrl.h.

  uint64_t remove
Number of removed filters.

Definition at line 479 of file rte_eth_ctrl.h.

  uint64_t f_add
Number of failed added filters.

Definition at line 480 of file rte_eth_ctrl.h.

  uint64_t f_remove
Number of failed removed filters.

Definition at line 481 of file rte_eth_ctrl.h.

  uint32_t guarant_cnt
Number of filters in guaranteed spaces.

Definition at line 482 of file rte_eth_ctrl.h.

  uint32_t best_cnt
Number of filters in best effort spaces.

Definition at line 483 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.